#[derive(Debug, Clone, Copy)]
pub enum Kind {
    Application,
    ApplicationSet,
    AppProject,
    Certificate,
    CertificateRequest,
    CertificateSigningRequest,
    CISKubeBenchReport,
    ClusterConfigAuditReport,
    ClusterExternalSecret,
    ClusterPolicy,
    ClusterPolicyReport,
    ClusterReportChangeRequest,
    ClusterSecretStore,
    ClusterVulnerabilityReport,
    ComponentStatus,
    ConfigAuditReport,
    ConfigMap,
    CronJob,
    CustomResourceDefinition,
    DaemonSet,
    Deployment,
    Endpoints,
    Event,
    ExternalSecret,
    GenerateRequest,
    HorizontalPodAutoscaler,
    Ingress,
    KubeHunterReport,
    LimitRange,
    Namespace,
    NetworkPolicy,
    Node,
    PersistentVolume,
    PersistentVolumeClaim,
    Pod,
    PodDisruptionBudget,
    PodSecurityPolicy,
    Policy,
    PolicyReport,
    PriorityClass,
    ReplicaSet,
    ReplicationController,
    ReportChangeRequest,
    ResourceQuota,
    SecretStore,
    Service,
    ServiceAccount,
    StatefulSet,
    StorageClass,
    Tenant,
    TrafficSplit,
    TridentBackend,
    TridentBackendConfig,
    TridentMirrorRelationship,
    TridentNode,
    TridentOrchestrator,
    TridentSnapshot,
    TridentSnapshotInfo,
    TridentStorageClass,
    TridentTransaction,
    TridentVersion,
    TridentVolume,
    VulnerabilityReport,
}

impl Kind {
    pub fn as_str(kind: Self) -> &'static str {
        match kind {
            Kind::Application => "Application",
            Kind::ApplicationSet => "ApplicationSet",
            Kind::AppProject => "AppProject",
            Kind::Certificate => "Certificate",
            Kind::CertificateRequest => "CertificateRequest",
            Kind::CertificateSigningRequest => "CertificateSigningRequest",
            Kind::CISKubeBenchReport => "CISKubeBenchReport",
            Kind::ClusterConfigAuditReport => "ClusterConfigAuditReport",
            Kind::ClusterExternalSecret => "ClusterExternalSecret",
            Kind::ClusterPolicy => "ClusterPolicy",
            Kind::ClusterPolicyReport => "ClusterPolicyReport",
            Kind::ClusterReportChangeRequest => "ClusterReportChangeRequest",
            Kind::ClusterSecretStore => "ClusterSecretStore",
            Kind::ClusterVulnerabilityReport => "ClusterVulnerabilityReport",
            Kind::ComponentStatus => "ComponentStatus",
            Kind::ConfigAuditReport => "ConfigAuditReport",
            Kind::ConfigMap => "ConfigMap",
            Kind::CronJob => "CronJob",
            Kind::CustomResourceDefinition => "CustomResourceDefinition",
            Kind::DaemonSet => "DaemonSet",
            Kind::Deployment => "Deployment",
            Kind::Endpoints => "Endpoints",
            Kind::Event => "Event",
            Kind::ExternalSecret => "ExternalSecret",
            Kind::GenerateRequest => "GenerateRequest",
            Kind::HorizontalPodAutoscaler => "HorizontalPodAutoscaler",
            Kind::Ingress => "Ingress",
            Kind::KubeHunterReport => "KubeHunterReport",
            Kind::LimitRange => "LimitRange",
            Kind::Namespace => "Namespace",
            Kind::NetworkPolicy => "NetworkPolicy",
            Kind::Node => "Node",
            Kind::PersistentVolume => "PersistentVolume",
            Kind::PersistentVolumeClaim => "PersistentVolumeClaim",
            Kind::Pod => "Pod",
            Kind::PodDisruptionBudget => "PodDisruptionBudget",
            Kind::PodSecurityPolicy => "PodSecurityPolicy",
            Kind::Policy => "Policy",
            Kind::PolicyReport => "PolicyReport",
            Kind::PriorityClass => "PriorityClass",
            Kind::ReplicaSet => "ReplicaSet",
            Kind::ReplicationController => "ReplicationController",
            Kind::ReportChangeRequest => "ReportChangeRequest",
            Kind::ResourceQuota => "ResourceQuota",
            Kind::SecretStore => "SecretStore",
            Kind::Service => "Service",
            Kind::ServiceAccount => "ServiceAccount",
            Kind::StatefulSet => "StatefulSet",
            Kind::StorageClass => "StorageClass",
            Kind::Tenant => "Tenant",
            Kind::TrafficSplit => "TrafficSplit",
            Kind::TridentBackend => "TridentBackend",
            Kind::TridentBackendConfig => "TridentBackendConfig",
            Kind::TridentMirrorRelationship => "TridentMirrorRelationship",
            Kind::TridentNode => "TridentNode",
            Kind::TridentOrchestrator => "TridentOrchestrator",
            Kind::TridentSnapshot => "TridentSnapshot",
            Kind::TridentSnapshotInfo => "TridentSnapshotInfo",
            Kind::TridentStorageClass => "TridentStorageClass",
            Kind::TridentTransaction => "TridentTransaction",
            Kind::TridentVersion => "TridentVersion",
            Kind::TridentVolume => "TridentVolume",
            Kind::VulnerabilityReport => "VulnerabilityReport",
        }
    }
}
